package com.fs.qywx.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 企业微信客户对象 qywx_custom_user
 *
 * @author fs
 * @date 2023-08-02
 */
public class QywxCustomUser extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 属于用户id */
    @Excel(name = "属于用户id")
    private String userid;

    /** 描述信息 */
    @Excel(name = "描述信息")
    private String description;

    /** 标签id */
    @Excel(name = "标签id")
    private String tagId;

    /** 备注电话号码 */
    @Excel(name = "备注电话号码")
    private String remarkMobiles;

    /** 备注企业名称 */
    @Excel(name = "备注企业名称")
    private String remarkCorpName;

    // 来源

    private Integer addWay;

    /** oper用户id */
    @Excel(name = "oper用户id")
    private String operUserid;

    /** 外部联系人id */
    @Excel(name = "外部联系人id")
    private String externalUserid;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 外部联系人的类型1微信用户，2企业微信用户 */
    @Excel(name = "外部联系人的类型1微信用户，2企业微信用户")
    private Integer type;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setUserid(String userid)
    {
        this.userid = userid;
    }

    public String getUserid()
    {
        return userid;
    }
    public void setDescription(String description)
    {
        this.description = description;
    }

    public String getDescription()
    {
        return description;
    }
    public void setTagId(String tagId)
    {
        this.tagId = tagId;
    }

    public String getTagId()
    {
        return tagId;
    }
    public void setRemarkMobiles(String remarkMobiles)
    {
        this.remarkMobiles = remarkMobiles;
    }

    public String getRemarkMobiles()
    {
        return remarkMobiles;
    }
    public void setRemarkCorpName(String remarkCorpName)
    {
        this.remarkCorpName = remarkCorpName;
    }

    public String getRemarkCorpName()
    {
        return remarkCorpName;
    }
    public void setAddWay(Integer addWay)
    {
        this.addWay = addWay;
    }

    public Integer getAddWay()
    {
        return addWay;
    }
    public void setOperUserid(String operUserid)
    {
        this.operUserid = operUserid;
    }

    public String getOperUserid()
    {
        return operUserid;
    }
    public void setExternalUserid(String externalUserid)
    {
        this.externalUserid = externalUserid;
    }

    public String getExternalUserid()
    {
        return externalUserid;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setType(Integer type)
    {
        this.type = type;
    }

    public Integer getType()
    {
        return type;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userid", getUserid())
            .append("remark", getRemark())
            .append("description", getDescription())
            .append("tagId", getTagId())
            .append("remarkMobiles", getRemarkMobiles())
            .append("remarkCorpName", getRemarkCorpName())
            .append("addWay", getAddWay())
            .append("operUserid", getOperUserid())
            .append("externalUserid", getExternalUserid())
            .append("name", getName())
            .append("type", getType())
            .toString();
    }
}
